; Bootloader
%include "boot.asm"


section KERNEL follows=BOOTSECTOR vstart=1000h

main:
    mov ax, 0x0013
    int 0x10

    push es
    push 0xa000
    pop es

    mov di, 0

    mov bx, 0
    .c:
        add bl, 1
        .f:
            mov byte [es:di], bl
            add di, 1
            cmp di, 0xFFFF
            jnz .f
        push bx
        mov bx, 100
        call sleep
        pop bx
    jmp .c

    pop es

jmp $ ; Halt
    
; Libs
%include "print_util.asm"
%include "time_util.asm"
    
; Data
HELLO_WORLD:
    db 'Hello, world! :D', 0